# OJMoqSelector Class Reference

List of all members.

## Public Member Functions

(CPArray arguments) | - accessors`[implementation]`
(CPNumber timesCalled) | - accessors(readonly)`[implementation]`
(void) | - call`[implementation]`
(CPComparisonResult) | - compareTimesCalled:`[implementation]`
(BOOL) | - equals:`[implementation]`
(id) | - initWithName:withArguments:`[implementation]`
(BOOL) | - isEqualToNameOf:`[implementation]`
(CPNumber) | - numberOfArguments`[implementation]`

## Static Public Member Functions

(OJMoqSelector) | + find:in:`[implementation]`

## Detailed Description

Definition at line 4 of file OJMoqSelector.j.

## Member Function Documentation

- (Function callback) accessors |  |  |  | `[implementation]`

Definition at line 9 of file OJMoqSelector.j.

- (CPNumber timesCalled accessors(readonly))`[implementation]`

- (void) call |  |  |  | `[implementation]`

Definition at line 41 of file OJMoqSelector.j.

- (CPComparisonResult) compareTimesCalled: |  | (CPNumber) | anotherNumber |  | `[implementation]`

Definition at line 61 of file OJMoqSelector.j.

- (BOOL) equals: |  | (OJMoqSelector) | anotherSelector |  | `[implementation]`

Definition at line 51 of file OJMoqSelector.j.

+ (OJMoqSelector) find: |  | (OJMoqSelector) | aSelector
in: |  | (CPArray) | selectors |
|  |  |  | `[implementation]`

Definition at line 13 of file OJMoqSelector.j.

- (id) initWithName: |  | (CPString) | aName
withArguments: |  | (CPArray) | someArguments |
|  |  |  | `[implementation]`

Definition at line 28 of file OJMoqSelector.j.

- (BOOL) isEqualToNameOf: |  | (OJMoqSelector) | anotherSelector |  | `[implementation]`

Definition at line 46 of file OJMoqSelector.j.

- (CPNumber) numberOfArguments |  |  |  | `[implementation]`

Definition at line 56 of file OJMoqSelector.j.

The documentation for this class was generated from the following file:

- Frameworks/OJMoq/OJMoqSelector.j